Skip to main content
`Ctrl`+`K`

# KSPBCGSLSetUsePseudoinverse

Use pseudoinverse (via SVD) to solve polynomial part of the update in `KSPCBGSL` solver

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPBCGSLSetUsePseudoinverse(KSP ksp, PetscBool use_pinv)

Logically Collective

## Input Parameters

- ksp - iterative context of type `KSPCBGSL`

- use_pinv - set to `PETSC_TRUE` when using pseudoinverse

## Options Database Key

- -ksp_bcgsl_pinv <true,false> - use pseudoinverse

## See Also

KSP: Linear System Solvers, `KSPBCGSLSetEll()`, `KSP`, `KSPCBGSL`, `KSPBCGSLSetPol()`, `KSPBCGSLSetXRes()`

## Level

intermediate

## Location

src/ksp/ksp/impls/bcgsl/bcgsl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages